Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Ntifs, class: REPARSE_DATA_BUFFER, class: REPARSE_UNION

Package com.sun.jna.platform.win32

# Class Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION

Direct Known Subclasses:
  `Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION.ByReference`

Enclosing class:
  Ntifs.REPARSE_DATA_BUFFER

public static class Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION extends Union

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Ntifs.GenericReparseBuffer`
  `genericReparseBuffer`
  `Ntifs.MountPointReparseBuffer`
  `mountPointReparseBuffer`
  `Ntifs.SymbolicLinkReparseBuffer`
  `symLinkReparseBuffer`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `REPARSE_UNION()`
  `REPARSE_UNION(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### symLinkReparseBuffer

    public Ntifs.SymbolicLinkReparseBuffer symLinkReparseBuffer

  - ### mountPointReparseBuffer

    public Ntifs.MountPointReparseBuffer mountPointReparseBuffer

  - ### genericReparseBuffer

    public Ntifs.GenericReparseBuffer genericReparseBuffer

- ## Constructor Details

  - ### REPARSE_UNION

    public REPARSE_UNION()

  - ### REPARSE_UNION

    public REPARSE_UNION(Pointer memory)